Search found 1 match

by docmerrill
2016-04-25 01:32
Forum: FileZilla Client Support
Topic: Newest upgrade will not let me connect to my server
Replies: 40
Views: 47102

Newest upgrade will not let me connect to my server

I just upgraded to the latest filezilla version and now I cannot connect to the server. Here is the error message I've gotten over and over and over.... Error: The first key-exchange algorithm supported by the server is diffie-hellman-group1-sha1, which is no longer secure. Aborting connection. Erro...